if flags.kartinuUstanovil then
  speciale_action(2,2)
  speciale_action(2,10)

  -- speciale_action(2,obj.ruchka_11_10.id)
  -- speciale_action(4,obj.ruchka_11_10.id)
    speciale_action(4,10)
    setCursor(10,4)
  set_visible_object(8,false)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if sender==1 then
    if obj_id == 8 then
      if obj.kartina_9_16 and attachedID == obj.kartina_9_16.id then
        removeFromMouse()
        UnStoreObj(obj.kartina_9_16.id)
        Block_Show_Cur(true)
        flags.kartinuUstanovil = true
        playeffect("paint_in")
        set_visible_object(8,false)
        speciale_action(2,7,true,1)
        setCursor(8,3)
        StartTimer(timerID,1.1,"frame1")
      else    
        CreatePlashechka("674")
      end
    end
    if obj_id == 10 then
      Block_Show_Cur(true)
      speciale_action(2,1,true,2)
      speciale_action(2,10,true,2)
      speciale_action(2,obj.ruchka_11_10.id,true,2)
      StartTimer(timerID,2,"frame5")
    end
    -- if obj_id == obj.ruchka_11_10.id then
      -- StoreObj(obj.ruchka_11_10.id)
      -- neighbors.Portret.lock = true
    -- end
  end
  if sender == 26 then
--    CloseSatelite()
  end
end

function frame1()
  speciale_action(2,6,true,1)
  speciale_action(2,7,true,1)
  speciale_action(2,5,true,1)
  playeffect("paint_rot")
  StartTimer(timerID,1.1,"frame2")
end

function frame2()
  speciale_action(2,5,true,1)
  speciale_action(2,4,true,1)
  StartTimer(timerID,1.1,"frame3")
end

function frame3()
  speciale_action(2,4,true,1)
  speciale_action(2,3,true,1)
  StartTimer(timerID,1.1,"frame4")
end

function frame4()
  speciale_action(2,10,true,1)
  speciale_action(2,2,true,1)
  speciale_action(2,3,true,1)
  StartTimer(timerID,1.1,"unBlock_Show_Cur")
end

function frame5()
  Block_Show_Cur(false)
  StoreObj(obj.ruchka_11_10.id)
  neighbors.Portret.lock = true
end